External issue:    

Description

The “Subversion creator” plugin works cool along with Redmine based authentication (implemented by perl module Redmine.pm).

But the last has a limitation - repository name must be identical to project identifier (source):

If the repositories are not created automatically by reposman.rb, it is important that the repository name is the same as the

project identifier in Redmine, otherwise Redmine.pm will fail to authenticate users. For example, if the path to the repository is

/path/to/repository/foo-bar, then the project Identifier on the Settings page must be foo-bar.

The plugin should take into account this... For now I have two suggestions:

1. Instead of just SVN root directory the plugin could use full repository path (with project identifier) when filling in repository URL

(so users would just need to “accept” URL);

2. Patch Redmine.pm to support different repository name.

History

#1 - 30 Mar 2011 00:30 - Andriy Lesyuk

- Target version set to 0.1.0

#2 - 30 Mar 2011 10:43 - Andriy Lesyuk

- Status changed from Open to In Progress

- Assignee set to Andriy Lesyuk

- % Done changed from 0 to 50

Using project identifier as well... Not patching Redmine.pm for now.

#3 - 19 Apr 2011 13:21 - Andriy Lesyuk

Now the plugin suggests project identifier as repository name... Maybe it should print some warning if user chooses a different name?.. If not the issue

can be closed.

#4 - 28 May 2011 12:58 - Andriy Lesyuk

- Due date set to 28 May 2011

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Writing warning...
